#include <iostream>
using namespace std;
int main()
{
    int x1,x2,y1,y2,a;
    cin>>x1>>y1>>x2>>y2;
    if(abs(x1-x2)==abs(y1-y2))
    {
        a=1;
    }
    else if((y1==y2)or(x1==x2))
    {
        a=2;
    }
    else
    {
        a=0;
    }
    cout<<a;
    return 0;
}